# Compare and deploy a source tenant to a target tenant Compare and deploy a source tenant to a target tenant. Endpoint: POST /deployment-manager/deployments/tenants Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Request fields (multipart/form-data): - `name` (string, required) Deployment's name. - `description` (string, required) Deployment's description. - `sendEmail` (boolean, required) Specifies if an email should be sent. - `emails` (string) If sendEmail parameter is set to true, comma separated values of emails can be specified. Example email1@test.com,email2@test.com. - `comments` (string) Content of the email to be sent. - `settings` (boolean, required) Specified if settings module should be considered in the deployment process. - `notifications` (boolean, required) Specified if notifications module should be considered in the deployment process. - `workflows` (boolean, required) Specified if workflows module should be considered in the deployment process. - `customFields` (boolean, required) Specified if customFields module should be considered in the deployment process. - `customObjects` (boolean) Specified if customObjects module should be considered in the deployment process. - `productCatalog` (boolean, required) Specified if productCatalog module should be considered in the deployment process. - `taxation` (boolean) Specified if taxation module should be considered in the deployment process. - `userRoles` (boolean, required) Specified if userRoles module should be considered in the deployment process. - `reporting` (boolean, required) Specified if reporting module should be considered in the deployment process. - `sourceTenantId` (string, required) Id of the source tenant. ## Response 200 fields (application/json): - `id` (string) ID of the Deployment Manager migration process - `status` (string) Status of the Deployment Manager migration process Enum: "DEPLOYING", "REVERTING", "PARTIALLY-REVERTED", "FAILED", "ROLLBACK-FAILED", "REVERTED", "COMPARING", "SUBMITTED", "SKIPPED", "IDENTICAL", "COMPARE-DONE", "COMPARE-FAILED", "CANCELLED" ## Response 400 fields